local function doFadeWipe(state)
    fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
    engine.Scene:Add(fadeWipe)
    fadeWipe.duration = 1.5
    fadeWipe.EndTimer = 0
end


function onTalk()

    disablePause()
    disableMovement()
    doFadeWipe(false)
    wait(0.6)
	playSound("event:/game/WanderBDay/omori_waterwhirl", player.Position)
    setFlag("deeperwell_03b_subto03b_subsub")

end